<?
include_once(PATH_LIB.'/image.php');
include_once(PATH_LIB.'/form.php');

class dbgraphic {
	var	$infotable	= 'graphics',
		$info		= array(),
		$db			= NULL,
		$table		= NULL,
		$i			= NULL;

	function dbgraphic($db,$table,$i = NULL) {
		$this->db		= $db;
		$this->table	= $table;
		$this->i		= $i;
		$this->get();
		}

	function put($i,$n,$dim_small,$dim_large) {
		$this->i	= $i;
		$config		= array('small'=>$dim_small,'large'=>$dim_large);

		if($upload = $_FILES["{$this->infotable}_{$n}"]['tmp_name']) {
			foreach($config as $variant=>$dimension) {
				$src		= PATH_DYNAMIC."/{$this->table}_{$this->i}_{$n}_{$variant}.jpg";
				$filename	= "$_SERVER[DOCUMENT_ROOT]/$src";
				$image		= new image($upload);
				$image->resize($dimension);
				$image->output($filename);
				$record = array(
								'table'		=> $this->table,
								'i'			=> $this->i,
								'n'			=> $n,
								'variant'	=> $variant,
								'filename'	=> $filename,
								'src'		=> $src,
								'width'		=> $image->width,
								'height'	=> $image->height,
								'size'		=> filesize($filename),
								);
				$this->db->record_put($record,$this->infotable);
				}
			}
		if($_POST["{$this->infotable}_{$n}_remove"]) $this->remove($n);
		$this->get();
		}

	function get() {
		$query = "select * from {$this->infotable} where (`table`='$this->table' && i='$this->i')";
		foreach($this->db->query($query) as $record) $this->info[$record['n']][$record['variant']] = $record;
		}

	function form($n = 1) {
		$form = new form($this->db);
		if($this->exists($n)) {
			$html = "<table border='0'><tr><td>".$this->thumbnail($n)."</td><td>".$form->checkbox("{$this->infotable}_{$n}_remove").' Remove</td></tr></table>';
			}
		$html .= $form->file("{$this->infotable}_{$n}");

		return $html;
		}

	function thumbnail($n,$href = NULL) {
		if(!$this->exists($n)) return '';
		if(!$href) $href = "javascript: var x=window.open('graphic.php?src={$this->info[$n][large][src]}','{$this->info[$n][large][table]}{$this->info[$n][large][i]}$n{$this->info[$n][large][variant]}','width={$this->info[$n][large][width]},height={$this->info[$n][large][height]}');";
		$html = "<a href=\"$href\">".$this->img($n,'small')."</a>";

		return $html;
		}

	function img($n,$variant) {
		if(!$this->exists($n)) return '';
		$html = "<img src='{$this->info[$n][$variant][src]}' height='{$this->info[$n][$variant][height]}' height='{$this->info[$n][$variant][width]}' border='0'>";

		return $html;
		}

	function remove($n = NULL) {
		if(!$n) foreach($this->info as $n=>$info) $this->remove($n);
		if(!$this->exists($n)) return;

		foreach($this->info[$n] as $variant=>$info) if(file_exists($info['filename'])) unlink($info['filename']);
		$this->db->query("delete from {$this->infotable} where (`table`='{$this->table}' && i='{$this->i}' && n='$n')");
		}

	function exists($n) {
		return ($this->info[$n]);
		}
	}
?>
