<?
// A set of shared utilities required by some of the other objects
class tools {
	function escape($string) {
		return htmlentities($string);
		}

	function qs_replace($qs) {
		global $QUERY_STRING;

		foreach(explode("&",$QUERY_STRING) as $pair) {
			list($label,$value) = explode("=",$pair,2);
			$query_hash[$label] = $value;
			}

		foreach(explode("&",$qs) as $pair) {
			list($label,$value) = explode("=",$pair,2);
			$query_hash[$label] = $value;
			}

		foreach($query_hash as $label=>$value) {
			if(preg_match("/^\D/",$label)) {
				if($return) $return .= "&";
				$return .= "$label=$value";
				}
			}

		return $return;
		}

	function truncate($string, $max, $ellipsis = "...") {
		if(strlen($string) > $max) $string = substr($string,0,($max-strlen($ellipsis))).$ellipsis;
		return $string;
		}
	}
?>
