<?
function debug($value) {
	if(!DEBUG) return;

	$filename	= $_SERVER['DOCUMENT_ROOT'].'/'.DEBUG_FILE_LOG;
	$message	= print_r($value,TRUE);

	if(!($file = fopen($filename,'a'))) die("Can't open {$this->filename_log} for writing!");
	fputs($file,date('[Y.m.d H:i:s] ')."$message\n");
	fclose($file);
	}

function trap($object) {
	if(!DEBUG) return;

	$filename	=  $_SERVER['DOCUMENT_ROOT'].'/'.DEBUG_FILE_CAGE;
	$file		= fopen($filename,'w');
	fputs($file,serialize($object));
	fclose($file);

	debug('Object trapped');
	}

function truncate($string,$length,$terminator = '...') {
	if(strlen($string) > $length)
		$string = substr($string,0,$length-strlen($terminator)).$terminator;

	return $string;
	}

function truncate_word($string,$length,$terminator = '...') {
	if(strlen($string) > $length) {
		$i			= $length - strlen($terminator) + 1;
		$characters	= preg_split('//', $string, -1, PREG_SPLIT_NO_EMPTY);

		while(!$found && $i--) {
			if(preg_match('/\s/',$characters[$i])) $whitespace = TRUE;
			else if($whitespace) $found = TRUE;
			}

		if($found)	$string = substr($string,0,$i+1).$terminator;
		else		$string = truncate($string,$length);
		}

	return $string;
	}

function screensafe($string,$length = 100,$terminator = '...') {
	if(strlen($string) > $length) $string = substr($string,0,$length-strlen($terminator)).$terminator;
	$string = htmlentities($string);

	return $string;
	}

function wget($url) {
	$curl = curl_init();
	curl_setopt($curl, CURLOPT_URL,				$url);
	curl_setopt($curl, CURLOPT_HEADER,			FALSE);
	curl_setopt($curl, CURLOPT_FOLLOWLOCATION,	TRUE);
	curl_setopt($curl, CURLOPT_RETURNTRANSFER,	TRUE);
	$return = curl_exec($curl);
	curl_close($curl);

	return $return;
	}

function human($size,$precision = 1) {
	$sizes = array(
					'Gb'	=> pow(2,30),
					'Mb'	=> pow(2,20),
					'Kb'	=> pow(2,10),
					'Bytes'	=> 1,
					);
	foreach($sizes as $label=>$multiple)
		if($size >= $multiple) return (($multiple == 1)?$size:sprintf("%.0{$precision}f",($size/$multiple))).' '.$label;
	}
?>
