<?
require('includes/core.php');
$title	= 'System Users';
$grid	= new grid($db);

$grid->config('title',			$title);
$grid->config('query',			'select * from users');
$grid->config('default_order',	'Name');
$grid->config('columns',		array(
				'Admin'	=> array(
								'order'	=> 'admin',
								'data'	=> "\".((\$admin)?\"<img src='images/mark.png'>\":'').\"",
								'style'	=> 'text-align: center;',
								),
				'Username'	=> array(
								'order'	=> 'username',
								'data'	=> '$username',
								),
				'Name'	=> array(
								'order'	=> 'name_last,name_first',
								'data'	=> "\$name_last, \$name_first",
								),
				'Email'	=> array(
								'order'	=> 'email',
								'data'	=> "<a href='mailto:\$email'>\$email</a>",
								),
				'Phone'	=> array(
								'order'	=> 'phone',
								'data'	=> '$phone',
								),
				'Logins'	=> array(
								'order'	=> 'logins',
								'data'	=> "\".((int)\$logins).\"",
								'style'	=> 'text-align: right;',
								),
				'Last Login'	=> array(
								'order'	=> 'date_login_current',
								'data'	=> "\".date(DATEFORMAT,\$date_login_current).\"",
								),
				));

$page->bounce(!$user->admin());
$page->header($title);
$grid->render();
$page->footer();
?>
