<?
define('DB_DEFAULT_INDEX', 	'i');
define('DB_DEFAULT_FLAG',	MYSQL_ASSOC);

class db {
	var	$hostname,
		$database,
		$username,
		$password,
		$connection,
		$last_query,
		$last_i,
		$last_resource,
		$last_error;

	function db($hostname=DB_HOSTNAME,$database=DB_DATABASE,$username=DB_USERNAME,$password=DB_PASSWORD) {
		$this->hostname = $hostname;
		$this->database	= $database;
		$this->username	= $username;
		$this->password	= $password;

		$this->connection = mysql_connect($this->hostname,$this->username,$this->password) or $this->choke("Can't connect to database");
		if($this->database) $this->database($this->database);
		}

	function __destruct() {
		mysql_close($this->connection);
		}

	function database($database) {
		$this->database = $database;
		mysql_select_db($this->database,$this->connection);
		}

	function query($query,$flag = DB_DEFAULT_FLAG) {
		$this->last_query = $query;

		$resource = mysql_query($query,$this->connection) or $this->choke();
		list($command,$other) = preg_split("|\s+|", $query, 2);

		// Load return according to query type...
		switch(strtolower($command)) {
			case("select"):
			case("describe"):
			case("desc"):
			case("show"):
				$return = array();
				while($data = $this->resource_get($resource,$flag)) $return[] = $data;
				break;
			case("replace"):
			case("insert"):
				if($return = mysql_insert_id($this->connection))
					$this->last_i = $return;
				break;
			default:
				$return = mysql_affected_rows($this->connection);
			}
		// .

		return $return;
		}

	function query_shrink($query,$flag = DB_DEFAULT_FLAG) {
		$return = $this->query($query);
		if(count($return) == 1) {
			$return = $return[0];
			if(count($return) == 1) {
				$keys = array_keys($return);
				$return = $return[$keys[0]];
				}
			}
		if(!$return) $return = NULL;

		return $return;
		}

	function resource_query($query,$flag = DB_DEFAULT_FLAG) {
		$this->last_query = $query;
		mysql_select_db($this->database,$this->connection);
		$this->last_resource = mysql_query($query,$this->connection) or $this->choke();

		return $this->last_resource;
		}

	function resource_rows($resource = NULL) {
		if(!$resource) $resource = $this->last_resource;
		return mysql_num_rows($resource);
		}

	function resource_get($resource = NULL,$flag = DB_DEFAULT_FLAG) {
		if(!$resource) $resource = $this->last_resource;
		return mysql_fetch_array($resource,$flag);
		}

	function record_get($table,$id) {
		$query = "select * from ".$this->scrub_label($table)." where (".$this->query_where($id).")";
		return $this->query_shrink($query);
		}

	function record_put($record,$table,$id = NULL) {
		$keys	= array_keys($record);
		$values	= array_values($record);
		$query_set_array = array();

		for($i=0; $i<count($keys); $i++) $query_set_array[] = $this->scrub_label($keys[$i])."='".$this->scrub_string($values[$i])."'";
		$query_set = implode(', ',$query_set_array);

		if($id)	$query = "update ".$this->scrub_label($table)." set $query_set where (".$this->query_where($id).")";
		else	$query = "replace into ".$this->scrub_label($table)." set $query_set";

		return $this->query($query);
		}

	function record_delete($table,$id) {
		$query = "delete from ".$this->scrub_label($table)." where (".$this->query_where($id).")";

		return $this->query($query);
		}

	function scrub_number($number) {
		if(is_numeric($number)) return($number);
		else {
			$number  = preg_replace('/[^0-9\.-]/','',$number);
			return (is_numeric($number)) ? $number : 0;
			}
		}

	function scrub_string($string) {
		return mysql_real_escape_string($string);
		}

	function scrub_label($string) {
		return '`'.str_replace('.','`.`',$string).'`';
		}

	function query_where($id) {
		$conditions = array();
		if(is_array($id)) foreach($id as $key=>$value) $conditions[] = $this->scrub_label($key)."='".$this->scrub_string($value)."'";
		else $conditions[] = $this->scrub_label(DB_DEFAULT_INDEX)."='".$this->scrub_string($id)."'";

		return implode(' && ',$conditions);
		}

	function choke($error = NULL) {
		if(!$error) $error = mysql_error($this->connection);
		$this->last_error = $error;

		if($_SERVER['HTTP_HOST']) {
			print "<table border='0'>
					<tr><td colspan='2'>Database Chokes</td></tr>
					<tr><td valign='top'>Error: </td><td>$error</td></tr>
					<tr><td valign='top'>Query: </td><td><pre>{$this->last_query}</pre></td></tr>
					</table>";
			}
		else {
			print("Database Chokes\n");
			print("  Error: $error\n");
			print("  Query: {$this->last_query}\n");
			}
		die();
		}

	}
?>
