<?
require('includes/core.php');
define('NAMEKEY',			'__PHP_Incomplete_Class_Name');
define('RECURSIVE_FROM',	'/;R:\d+;/');
define('RECURSIVE_TO',		';s:9:"RECURSIVE";');
define('INDENT',			5);
define('REFRESH',			3000);
define('POPUP_HEIGHT',		500);
define('POPUP_WIDTH',		300);
$object_names = array('Trapped','Session','Server');

switch($object_name = $_GET['object_name']) {
	case('Session'):
		$object = $_SESSION;
		break;
	case('Server'):
		$object = $_SERVER;
		break;
	default:
		$object_name = 'Trapped';
		$filename = $_SERVER['DOCUMENT_ROOT'].'/'.DEBUG_FILE_CAGE;
		if(file_exists($filename)) {
			$serialized	= file_get_contents($filename);
			$serialized	= preg_replace(RECURSIVE_FROM,RECURSIVE_TO,$serialized);
			$object		= unserialize($serialized);
			}
	}
foreach($object_names as $name)
	$object_links[] = "<a href='?object_name=$name'".(($object_name == $name)?" style='color: #000000;'":'').">$name</a>";

foreach($db->query("show table status") as $record)
	$statistics['usage_db'] += $record['Data_length'] + $record['Index_length'];

list($usage_disk,$junk) = preg_split('/\s+/',`du -sk $_SERVER[DOCUMENT_ROOT]`,2);
$statistics['usage_disk'] = $usage_disk * 1024;

$page->header_basic('Analysis Console');
?>
<body onload='debug_log(false);'>

<? //print('<pre>'.print_r($statistics,TRUE).'</pre>'); ?>

<table border='0' style='width: 100%;'>
	<tr>
		<td style='vertical-align: top; width: 40%;'>
			<table border='0' style='width: 100%'>
				<tr><td class='table_head_normal'>General Statistics</td></tr>
				<tr><td>
					<table border='0'>
						<tr><td class='label'>Disk Usage</td><td><?=human($statistics['usage_disk']);?></td></tr>
						<tr><td class='label'>Database Usage</td><td><?=human($statistics['usage_db']);?></td></tr>
						</table>
					</td></tr>
				<tr><td class='table_head_normal'>Debug Log</td></tr><tr><td id='debug_log' style="height: 400px; vertical-align: top; background-image: url('/images/waytook.jpg'); background-repeat: no-repeat; background-position: center;"></td></tr><tr><td style='text-align: center;'><a href="javascript:debug_log(true);">Clear</a></td></tr>
				</table>
			</td>
		<td style='vertical-align: top;' rowspan='2'><table border='0' style='width: 100%'><tr><td class='table_head_normal'>Objects: <?=implode(' | ',$object_links);?></td></tr><tr><td><? if($object) examine($object); ?></td></tr></table></td>
		</tr>
	<tr>
		<td style='height: 500px; vertical-align: top;'><table border='0' style='width: 100%'><tr><td class='table_head_normal'>Database Schema</td></tr><tr><td><? database(); ?></td></tr></table></td>
		</tr>
	</table>

<script>
function debug_log(clear) {
	ajax('console_debug_log.php'+((clear)?'?clear=1':''),'debug_log');
	setTimeout('debug_log();',<?=REFRESH;?>);
	}
</script>

</body>
<?
function examine($object) {
	static $i = 0;

	if(!isset($object)) return;

	if(is_scalar($object)) {
		if(!strcmp($object,'RECURSIVE'))	print("<span class='error'>RECURSIVE</span>");
		else							print($object);
		return;
		}

	else {
		if(is_array($object)) {
			$type = 'Array';
			}
		else {
			$object = get_object_vars($object);
			$type = $object[NAMEKEY];
			unset($object[NAMEKEY]);
			}

		$id = 'div_'.($i++);

		print("<a href=\"javascript:toggle('$id');\">$type</a> <span class='tip'>(".count($object).")</span><br><div id='$id' style='display: none;'><table border='0'>");
		ksort($object);
		foreach($object as $key=>$value) {
			print("<tr><td width='".INDENT."'></td><td class='label' valign='top'>$key</td><td>");
			examine($value);
			print("</td></tr>");
			}
		print("</table></div>");
		}
	}

function database() {
	global $db;
	$database = DB_DATABASE;

	print("<table border='0' cellpadding='0' cellspacing='2'>");

	$query = "show tables in `$database`";
	foreach($db->query($query,MYSQL_NUM) as $record) {
		$table = $record[0];
		$rows = (int)$db->query_shrink("select count(*) from `$database`.`$table`");
		print("<tr><td colspan='2' nowrap><a href=\"javascript:toggle('$table');\">$table</a> <span class='faint'>($rows records)</span></td></tr>\n");
		print("<tr><td width='".INDENT."'></td><td><div id='$table' style='display:none;'><table border='0' cellpadding='0'>");

		$columns	= 0;
		$records	= array();
		$examples	= $db->query_shrink("select * from `$database`.`$table` limit 1");
		$query 		= "describe `$database`.`$table`";
		foreach($db->query($query) as $record) $records[$record['Field']] = $record;
		if($_POST['sort']) ksort($records);
		foreach($records as $record) {
			$key 	= "$hostname.$database.$table.$record[Field]";
			$name	= preg_replace('/[^A-Za-z0-9_]/','',$key); 
			$field	= ($rows) ? "<a href=\"javascript:var x = window.open('console_databasevalues.php?key=$key','$name','height=".POPUP_HEIGHT.",width=".POPUP_WIDTH.",scrolling=yes');\">$record[Field]</a>" : "<b>$record[Field]</b>";
			print("<tr><td>$field</td><td class='faint'>$record[Key]</td><td>$record[Type]</td><td class='faint'>".screensafe($examples[$record['Field']])."</td></tr>\n");
			}
		print("<tr height='5'></tr></table></div></td></tr>");
		}
	print("</table>");
	}
?>
