<?
class form {
	var	$db, $data, $frozen = FALSE, $required = array(), $count, $name;

	function form($db = NULL) {
		if($db) $this->db = $db;
		}

	function freeze($state = TRUE) {
		$this->frozen = $state;
		}

	function populate($data) {
		$this->data = $data;
		}

	function escape($string) {
		return str_replace('"','&quot;',$string);
		}

	function fixdates($keys) {
		if(!is_array($keys)) $keys = array($keys);
		foreach($keys as $key) {
			$_POST[$key] = mktime($_POST["{$key}_h"],$_POST["{$key}_i"],0,$_POST["{$key}_m"],$_POST["{$key}_d"],$_POST["{$key}_y"]);
			unset($_POST["{$key}_h"],$_POST["{$key}_i"],$_POST["{$key}_m"],$_POST["{$key}_d"],$_POST["{$key}_y"]);
			}
		}

	function start($name = NULL) {
		if(!$name) $name = 'form_'.(++$this->count);
		$this->name = $name;

		$html = "<form method='post' enctype='multipart/form-data' name='$name' onsubmit='return {$name}_validate(this);'>";

		return $html;
		}

	function end() {
		$html = "</form>
					<script>
						function ".$this->name."_validate(form) {
							var incomplete = 0;
							";
		foreach(array_reverse(array_keys($this->required)) as $key)
			$html .= "if(!form.elements['$key'].value) { ++incomplete; form.elements['$key'].className='form_incomplete'; form.elements['$key'].focus(); }
						else form.elements['$key'].className='form';\n";

		$html .= "			if(incomplete) {
								alert('Please complete the highlighted required field'+((incomplete != 1)?'s':'')+'...');
								return false;
								}
							return true;
							}
					</script>";

		return $html;
		}

	function button($value = '', $onclick = '', $config = array()) {
		$html = "<input type='".(($config['submit'])?'submit':'button')."' value=\"".$this->escape($value)."\"";
		if($onclick) $html .= " onclick=\"$onclick\"";
		$html .= " class='button_off'
				onmouseover=\"this.className='button_on';\"
				onmouseout=\"this.className='button_off';\"
				>";

/*
		if($config['submit'] && $this->required) {
			$id = ($config['form']) ? $config['form'] : 0;
			if(!is_numeric($id)) $id = "'$id'";

			$html .= "\n<script>
						document.forms[$id].onsubmit = \"alert('$id');\";
						function form_required(form) {
							alert('Stuff');
							return false;
							}
						</script>";
			}
*/

		return $html;
		}

	function buttons($submit_value = "Enter", $submit_onclick = "", $cancel_value = "Cancel", $cancel_onclick = "history.go(-1);") {
		$html = $this->submit($submit_value,$submit_onclick);
		$html .= ' ';
		$html .= $this->button($cancel_value,$cancel_onclick);

		return $html;
		}

	function captcha($config = array()) {
		$name = 'captcha';
		if($config['required'])	$this->required[$name] = TRUE;
		$html = "<table border='0'>
					<tr>
						<td><img src='/captcha.php'></td><td width='1'></td>
						<td>".$this->text($name,FALSE,array('width'=>'50px'))."</td>
						</tr>
					</table>
				<span class='tip'>
				Please enter the characters you see in the graphic.
				<br>There are no zeros or ones.
				</span>";
		
		return $html;
		}

	function captcha_correct($guess = NULL) {
		if($guess === NULL) {
			if(isset($_REQUEST['captcha'])) $guess = $_REQUEST['captcha'];
			else return TRUE;
			}

		return !strcasecmp($guess,$_SESSION['captcha_correct']);
		}

	function checkbox($name, $value = NULL, $config = array()) {
		if($value === NULL)		$value = $this->data[$name];
		if($config['required'])	$this->required[$name] = TRUE;

		if($this->frozen || $config['frozen']) {
			return ($value) ? 'Yes' : 'No';
			}

		$html = "<input type='checkbox' name='$name' value='".(($config['value'])?$config['value']:1)."'";
		if($config['extra']) $html .= " $config[extra]";
		if($value) $html .= " checked";
		$html .= ">";

		return $html;
		}

	function date($name, $value = NULL, $config = array()) {
		$format = ($config['format']) ? $config['format'] : 'ymd';

		if($value === NULL) {
			if(isset($this->data[$name])) $value = $this->data[$name];
			else if(!$config['blanks']) $value = time();
			}
		if($config['required']) $this->required[$name] = TRUE;

		if($this->frozen || $config['frozen']) {
			return ($value) ? date(DATEFORMAT,$value) : '';
			}

		$html = "<table border='0' cellpadding='0' cellspacing='1'><tr>";

		if(strstr($format,'y')) {
			if($value) $v = date('Y',$value);
			$now_year = date('Y');
			$html .= "<td>";
			$html .= "<select name='{$name}_y'>\n";
			if($config['blanks']) $html .= "\t<option></option>\n";
			for($i=$now_year-5; $i<=$now_year+5; $i++) {
				$html .= "\t<option value='$i'";
				if($i==$v) $html .= " selected";
				$html .= ">$i</option>\n";
				}
			$html .= "</select>\n";
			$html .= "</td>";
			$space = TRUE;
			}
		if(stristr($format,'m')) {
			if($value) $v = date('m',$value);
			$html .= "<td>";
			$html .= "<select name='{$name}_m'>\n";
			if($config['blanks']) $html .= "\t<option></option>\n";
			for($i=1; $i<=12; $i++) {
				$html .= "\t<option value='$i'";
				if($i==$v) $html .= " selected";
				$html .= ">".sprintf("%02d",$i)."</option>\n";
				}
			$html .= "</select>";
			$html .= "</td>";
			$space = TRUE;
			}
		if(stristr($format,'d')) {
			if($value) $v = date('d',$value);
			$html .= "<td>";
			$html .= "<select name='{$name}_d'>\n";
			if($config['blanks']) $html .= "\t<option></option>\n";
			for($i=1; $i<=31; $i++) {
				$html .= "\t<option value='$i'";
				if($i==$v) $html .= " selected";
				$html .= sprintf(">%02d</option>\n",$i);
				}
			$html .= "</select>";
			$html .= "</td>";
			$space = TRUE;
			}
		if(strstr($format,'t')) {
			if($space) $html .= "<td width='10' align='center'>@</td>";
			if($value) $v = date('G',$value);
			$html .= "<td>";
			$html .= "<select name='{$name}_h'>\n";
			if($config['blanks']) $html .= "\t<option></option>\n";
			for($i=0; $i<=23; $i++) {
				$html .= "\t<option value='$i'";
				if($i==$v) $html .= " selected";
				$html .= ">".sprintf("%02d",$i)."</option>\n";
				}
			$html .= "</select>\n";
			$html .= "</td>";

			if($value) $v = date("i",$value);
			$html .= "<td>";
			$html .= "<select name='{$name}_i'>\n";
			if($config['blanks']) $html .= "\t<option></option>\n";
			for($i=0; $i<=59; $i++) {
				$html .= "\t<option value='$i'";
				if($i==$v) $html .= " selected";
				$html .= ">".sprintf("%02d",$i)."</option>\n";
				}
			$html .= "</select>\n";
			$html .= "</td>";
			}

		$html .= "</tr></table>\n";

		return $html;
		}

	function enum($name, $value = NULL, $table, $config = array()) {
		if($value === NULL)		$value = $this->data[$name];
		if($config['required'])	$this->required[$name] = TRUE;

		if($this->frozen || $config['frozen']) {
			return $value;
			}

		$query = "describe $table $name";
		$results = $this->db->query($query);
		$data = $results[0];

		list($junk,$options_string) = explode("('",$data['Type'],2);
		list($options_string,$junk) = explode("')",$options_string);
		$options = explode("','",$options_string);

		if($config['sort']) sort($options);

		$html = "<select name='$name'";
		if($config['extra']) $html .= " $config[extra]";
		$html .= ">";
		foreach($options as $option) {
			$html .= "\n<option value=\"".$this->escape($option)."\"";
			if(isset($value) && ($value == $option)) $html .= " selected";
			$html .= ">$option</option>";
			}
		$html .= "\n</select>";

		return $html;
		}

	function file($name, $maxsize = 10000000, $config = array()) {
		if($config['required'])	$this->required[$name] = TRUE;
		$html = "<input type='hidden' name='MAX_FILE_SIZE' value='$maxsize'>
					<input type='file' name='$name'>";

		return $html;
		}

	function hidden($name, $value = NULL) {
		if($value === NULL) $value = $this->data[$name];

		$html = "<input type='hidden' name='$name' value=\"".$this->escape($value)."\">";

		return $html;
		}

	function key($name, $value = NULL, $table, $option_value, $option_label, $config = array()) {
		$orderby	= ($config['orderby']) ? $config['orderby'] : $option_label;
		$query		= "select `$option_value`,`$option_label` from $table";
		if($config['where'])	$query .= " where ($config[where])";
		if($config['sort'])		$query .= " order by $orderby";
		foreach($this->db->query($query) as $data) $options[$data[$option_value]] = $data[$option_label];

		return $this->select($name,$value,$options,$config);
		}

	function password($name, $value = NULL, $config = array()) {
		$config['password'] = TRUE;

		return $this->text($name, $value, $config);
		}

	function radios($name, $value=NULL, $options, $config = array()) {
		if($value === NULL)		$value = $this->data[$name];
		if($config['required'])	$this->required[$name] = TRUE;

		if($config['sort']) sort($options);

		$html = "<table border='0' cellpadding='0' cellspacing='1'>";
		foreach($options as $value2 => $label) {
			if(!$config['horizontal']) $html .= "<tr>";
			$html .= "\n<td><input type='radio' name='$name' value=\"".$this->escape($value2)."\"".(($config['extra'])?" $config[extra]":'');
			if(isset($value) && ($value == $value2)) $html .= " checked";
			$html .= "></td><td>$label</td>";
			if(!$config['horizontal']) $html .= "</tr>";
			}
		$html .= "</table>";

		return $html;
		}

	function select($name, $value = NULL, $options, $config = array()) {
		if($value === NULL) {
			$value = $this->data[$name];
			if($config['multi'] && !isset($value)) $value = array();
			}
		if($config['required'])	$this->required[$name] = TRUE;

		if($this->frozen || $config['frozen']) {
			if($config['null'] && ($value === NULL))	return $config['null'];
			else										return $options[$value];
			}

		$html = "<select name='$name".(($config['multi'])?'[]':'')."'".(($config['multi'])?" multiple size='$config[multi]'":'').(($config['extra'])?" $config[extra]":'').">\n";
		if(isset($config['null'])) $html .= "<option value=''>$config[null]</option>\n";
		$html .= $this->select_recurse($options,$value,$config);
		$html .= "\n</select>";

		return $html;
		}

	function select_recurse($options,$value,$config) {
		$html = '';
		$sort = (isset($config['sort'])) ? $config['sort'] : TRUE;
		if($sort) {
			if($config['ignorekeys'])	sort($options);
			else						asort($options);
			}

		foreach($options as $option_value => $option_label) {
			if(is_array($option_label)) {
				$html .= "<optgroup label=\"".$this->escape($option_value)."\">".$this->select_recurse($option_label,$value,$config)."</optgroup>\n";
				}
			else {
				if($config['ignorekeys']) $option_value = $option_label;
				$html .= "<option value=\"".$this->escape($option_value)."\"";
				if(($config['multi'] && in_array($option_value,$value)) || (!$config['multi'] && $value !== NULL && $value == $option_value)) $html .= " selected";
				$html .= ">$option_label</option>\n";			
				}
			}

		return $html;
		}

	function submit($value = "Enter", $onclick = "") {
		$config['submit'] = TRUE;

		return $this->button($value,$onclick,$config);
		}

	function text($name, $value = NULL, $config = array()) {
		if($value === NULL)		$value = $this->data[$name];
		if($config['required'])	$this->required[$name] = TRUE;

		$width		= (isset($config['width']))		? $config['width']		: '100px';
		$maxlength	= (isset($config['maxlength']))	? $config['maxlength']	: 255;

		if($this->frozen || $config['frozen']) {
			return $value;
			}		

		$html = "<input type='".(($config['password'])?'password':'text')."' name='$name'
			style='width: $width;' maxlength='$maxlength'
			value=\"".$this->escape($value)."\"
			".(($config['extra']) ? $config['extra'] : '').">";

		return $html;
		}

	function textarea($name, $value = NULL, $config = array()) {
		if(!$value)				$value = $this->data[$name];
		if($config['required'])	$this->required[$name] = TRUE;

		$width	= (isset($config['width']))		? $config['width']		: '100%';
		$height	= (isset($config['height']))	? $config['height']		: '100px';

		if($this->frozen || $config['frozen']) {
			return nl2br($value);
			}

		$html = "<textarea class='form' name='$name' style='width: $width; height: $height;'  wrap='virtual'
			>$value</textarea>";

		return $html;
		}

	}
?>
